part of pointpos_api.api;

class Employee {
  
  String id = null;
  
  String firstName = null;
  
  String lastName = null;
  
  String email = null;
  
  num phoneNumber = null;
  
  String roleId = null;
  
  num pin = null;
  
  List<String> assignedOutlets = [];
  
  String description = null;
  Employee();

  @override
  String toString() {
    return 'Employee[id=$id, firstName=$firstName, lastName=$lastName, email=$email, phoneNumber=$phoneNumber, roleId=$roleId, pin=$pin, assignedOutlets=$assignedOutlets, description=$description, ]';
  }

  Employee.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    firstName = json['firstName'];
    lastName = json['lastName'];
    email = json['email'];
    phoneNumber = json['phoneNumber'];
    roleId = json['roleId'];
    pin = json['pin'];
    assignedOutlets = (json['assignedOutlets'] == null) ?
      null :
      (json['assignedOutlets'] as List).cast<String>();
    description = json['description'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (firstName != null)
      json['firstName'] = firstName;
    if (lastName != null)
      json['lastName'] = lastName;
    if (email != null)
      json['email'] = email;
    if (phoneNumber != null)
      json['phoneNumber'] = phoneNumber;
    if (roleId != null)
      json['roleId'] = roleId;
    if (pin != null)
      json['pin'] = pin;
    if (assignedOutlets != null)
      json['assignedOutlets'] = assignedOutlets;
    if (description != null)
      json['description'] = description;
    return json;
  }

  static List<Employee> listFromJson(List<dynamic> json) {
    return json == null ? List<Employee>() : json.map((value) => Employee.fromJson(value)).toList();
  }

  static Map<String, Employee> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Employee>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Employee.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Employee-objects as value to a dart map
  static Map<String, List<Employee>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Employee>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Employee.listFromJson(value);
       });
     }
     return map;
  }
}

