part of pointpos_api.api;

class ForbiddenException {
  
  String code = null;
  
  String message = null;
  ForbiddenException();

  @override
  String toString() {
    return 'ForbiddenException[code=$code, message=$message, ]';
  }

  ForbiddenException.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    if (message != null)
      json['message'] = message;
    return json;
  }

  static List<ForbiddenException> listFromJson(List<dynamic> json) {
    return json == null ? List<ForbiddenException>() : json.map((value) => ForbiddenException.fromJson(value)).toList();
  }

  static Map<String, ForbiddenException> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ForbiddenException>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ForbiddenException.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ForbiddenException-objects as value to a dart map
  static Map<String, List<ForbiddenException>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ForbiddenException>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ForbiddenException.listFromJson(value);
       });
     }
     return map;
  }
}

