part of pointpos_api.api;

class Gratuity {
  
  String id = null;
  
  String name = null;
  
  num amount = null;
  
  bool isPercentage = null;
  Gratuity();

  @override
  String toString() {
    return 'Gratuity[id=$id, name=$name, amount=$amount, isPercentage=$isPercentage, ]';
  }

  Gratuity.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    amount = json['amount'];
    isPercentage = json['isPercentage'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (amount != null)
      json['amount'] = amount;
    if (isPercentage != null)
      json['isPercentage'] = isPercentage;
    return json;
  }

  static List<Gratuity> listFromJson(List<dynamic> json) {
    return json == null ? List<Gratuity>() : json.map((value) => Gratuity.fromJson(value)).toList();
  }

  static Map<String, Gratuity> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Gratuity>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Gratuity.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Gratuity-objects as value to a dart map
  static Map<String, List<Gratuity>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Gratuity>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Gratuity.listFromJson(value);
       });
     }
     return map;
  }
}

