part of pointpos_api.api;

class IngredientCategory {
  
  num id = null;
  
  String name = null;
  IngredientCategory();

  @override
  String toString() {
    return 'IngredientCategory[id=$id, name=$name, ]';
  }

  IngredientCategory.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    return json;
  }

  static List<IngredientCategory> listFromJson(List<dynamic> json) {
    return json == null ? List<IngredientCategory>() : json.map((value) => IngredientCategory.fromJson(value)).toList();
  }

  static Map<String, IngredientCategory> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, IngredientCategory>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = IngredientCategory.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of IngredientCategory-objects as value to a dart map
  static Map<String, List<IngredientCategory>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<IngredientCategory>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = IngredientCategory.listFromJson(value);
       });
     }
     return map;
  }
}

