part of pointpos_api.api;

class ItemCostOfGoodsSold {
  
  num variantId = null;
  
  bool trackCOGS = null;
  
  num averageCost = null;
  ItemCostOfGoodsSold();

  @override
  String toString() {
    return 'ItemCostOfGoodsSold[variantId=$variantId, trackCOGS=$trackCOGS, averageCost=$averageCost, ]';
  }

  ItemCostOfGoodsSold.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    variantId = json['variantId'];
    trackCOGS = json['trackCOGS'];
    averageCost = json['averageCost'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (variantId != null)
      json['variantId'] = variantId;
    if (trackCOGS != null)
      json['trackCOGS'] = trackCOGS;
    if (averageCost != null)
      json['averageCost'] = averageCost;
    return json;
  }

  static List<ItemCostOfGoodsSold> listFromJson(List<dynamic> json) {
    return json == null ? List<ItemCostOfGoodsSold>() : json.map((value) => ItemCostOfGoodsSold.fromJson(value)).toList();
  }

  static Map<String, ItemCostOfGoodsSold> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ItemCostOfGoodsSold>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ItemCostOfGoodsSold.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ItemCostOfGoodsSold-objects as value to a dart map
  static Map<String, List<ItemCostOfGoodsSold>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ItemCostOfGoodsSold>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ItemCostOfGoodsSold.listFromJson(value);
       });
     }
     return map;
  }
}

