part of pointpos_api.api;

class LoyaltyProgramPointFromBuyItem {
  
  List<LoyaltyProgramPointFromBuyItemEligibleItems> eligibleItems = [];
  
  List<LoyaltyProgramPointFromBuyItemEligibleCategories> eligibleCategories = [];
  LoyaltyProgramPointFromBuyItem();

  @override
  String toString() {
    return 'LoyaltyProgramPointFromBuyItem[eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }

  LoyaltyProgramPointFromBuyItem.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    eligibleItems = (json['eligibleItems'] == null) ?
      null :
      LoyaltyProgramPointFromBuyItemEligibleItems.listFromJson(json['eligibleItems']);
    eligibleCategories = (json['eligibleCategories'] == null) ?
      null :
      LoyaltyProgramPointFromBuyItemEligibleCategories.listFromJson(json['eligibleCategories']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (eligibleItems != null)
      json['eligibleItems'] = eligibleItems;
    if (eligibleCategories != null)
      json['eligibleCategories'] = eligibleCategories;
    return json;
  }

  static List<LoyaltyProgramPointFromBuyItem> listFromJson(List<dynamic> json) {
    return json == null ? List<LoyaltyProgramPointFromBuyItem>() : json.map((value) => LoyaltyProgramPointFromBuyItem.fromJson(value)).toList();
  }

  static Map<String, LoyaltyProgramPointFromBuyItem> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, LoyaltyProgramPointFromBuyItem>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = LoyaltyProgramPointFromBuyItem.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of LoyaltyProgramPointFromBuyItem-objects as value to a dart map
  static Map<String, List<LoyaltyProgramPointFromBuyItem>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<LoyaltyProgramPointFromBuyItem>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = LoyaltyProgramPointFromBuyItem.listFromJson(value);
       });
     }
     return map;
  }
}

