part of pointpos_api.api;

class LoyaltyProgramPointFromBuyItemEligibleItems {
  
  String itemId = null;
  
  num rewardPoint = null;
  
  bool allVariants = null;
  
  List<num> variantIds = [];
  LoyaltyProgramPointFromBuyItemEligibleItems();

  @override
  String toString() {
    return 'LoyaltyProgramPointFromBuyItemEligibleItems[itemId=$itemId, rewardPoint=$rewardPoint, allVariants=$allVariants, variantIds=$variantIds, ]';
  }

  LoyaltyProgramPointFromBuyItemEligibleItems.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    itemId = json['itemId'];
    rewardPoint = json['rewardPoint'];
    allVariants = json['allVariants'];
    variantIds = (json['variantIds'] == null) ?
      null :
      (json['variantIds'] as List).cast<num>();
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (itemId != null)
      json['itemId'] = itemId;
    if (rewardPoint != null)
      json['rewardPoint'] = rewardPoint;
    if (allVariants != null)
      json['allVariants'] = allVariants;
    if (variantIds != null)
      json['variantIds'] = variantIds;
    return json;
  }

  static List<LoyaltyProgramPointFromBuyItemEligibleItems> listFromJson(List<dynamic> json) {
    return json == null ? List<LoyaltyProgramPointFromBuyItemEligibleItems>() : json.map((value) => LoyaltyProgramPointFromBuyItemEligibleItems.fromJson(value)).toList();
  }

  static Map<String, LoyaltyProgramPointFromBuyItemEligibleItems> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, LoyaltyProgramPointFromBuyItemEligibleItems>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = LoyaltyProgramPointFromBuyItemEligibleItems.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of LoyaltyProgramPointFromBuyItemEligibleItems-objects as value to a dart map
  static Map<String, List<LoyaltyProgramPointFromBuyItemEligibleItems>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<LoyaltyProgramPointFromBuyItemEligibleItems>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = LoyaltyProgramPointFromBuyItemEligibleItems.listFromJson(value);
       });
     }
     return map;
  }
}

