part of pointpos_api.api;

class MerchantAccountBusinessInfo {
  
  String businessName = null;
  
  String businessAddress = null;
  
  String province = null;
  
  String city = null;
  
  String state = null;
  
  num postalCode = null;
  MerchantAccountBusinessInfo();

  @override
  String toString() {
    return 'MerchantAccountBusinessInfo[businessName=$businessName, businessAddress=$businessAddress, province=$province, city=$city, state=$state, postalCode=$postalCode, ]';
  }

  MerchantAccountBusinessInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    businessName = json['businessName'];
    businessAddress = json['businessAddress'];
    province = json['province'];
    city = json['city'];
    state = json['state'];
    postalCode = json['postalCode'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (businessName != null)
      json['businessName'] = businessName;
    if (businessAddress != null)
      json['businessAddress'] = businessAddress;
    if (province != null)
      json['province'] = province;
    if (city != null)
      json['city'] = city;
    if (state != null)
      json['state'] = state;
    if (postalCode != null)
      json['postalCode'] = postalCode;
    return json;
  }

  static List<MerchantAccountBusinessInfo> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccountBusinessInfo>() : json.map((value) => MerchantAccountBusinessInfo.fromJson(value)).toList();
  }

  static Map<String, MerchantAccountBusinessInfo> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccountBusinessInfo>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccountBusinessInfo.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccountBusinessInfo-objects as value to a dart map
  static Map<String, List<MerchantAccountBusinessInfo>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccountBusinessInfo>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccountBusinessInfo.listFromJson(value);
       });
     }
     return map;
  }
}

