part of pointpos_api.api;

class MerchantAccountPersonalDetails {
  
  String name = null;
  
  MerchantAccountPersonalDetailsPhone phone = null;
  
  MerchantAccountPersonalDetailsEmail email = null;
  MerchantAccountPersonalDetails();

  @override
  String toString() {
    return 'MerchantAccountPersonalDetails[name=$name, phone=$phone, email=$email, ]';
  }

  MerchantAccountPersonalDetails.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    phone = (json['phone'] == null) ?
      null :
      MerchantAccountPersonalDetailsPhone.fromJson(json['phone']);
    email = (json['email'] == null) ?
      null :
      MerchantAccountPersonalDetailsEmail.fromJson(json['email']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (phone != null)
      json['phone'] = phone;
    if (email != null)
      json['email'] = email;
    return json;
  }

  static List<MerchantAccountPersonalDetails> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccountPersonalDetails>() : json.map((value) => MerchantAccountPersonalDetails.fromJson(value)).toList();
  }

  static Map<String, MerchantAccountPersonalDetails> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccountPersonalDetails>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccountPersonalDetails.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccountPersonalDetails-objects as value to a dart map
  static Map<String, List<MerchantAccountPersonalDetails>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccountPersonalDetails>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccountPersonalDetails.listFromJson(value);
       });
     }
     return map;
  }
}

