part of pointpos_api.api;

class MerchantAccountPersonalDetailsEmail {
  
  String emailAddress = null;
  
  bool isVerified = null;
  MerchantAccountPersonalDetailsEmail();

  @override
  String toString() {
    return 'MerchantAccountPersonalDetailsEmail[emailAddress=$emailAddress, isVerified=$isVerified, ]';
  }

  MerchantAccountPersonalDetailsEmail.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    emailAddress = json['emailAddress'];
    isVerified = json['isVerified'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (emailAddress != null)
      json['emailAddress'] = emailAddress;
    if (isVerified != null)
      json['isVerified'] = isVerified;
    return json;
  }

  static List<MerchantAccountPersonalDetailsEmail> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccountPersonalDetailsEmail>() : json.map((value) => MerchantAccountPersonalDetailsEmail.fromJson(value)).toList();
  }

  static Map<String, MerchantAccountPersonalDetailsEmail> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccountPersonalDetailsEmail>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccountPersonalDetailsEmail.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccountPersonalDetailsEmail-objects as value to a dart map
  static Map<String, List<MerchantAccountPersonalDetailsEmail>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccountPersonalDetailsEmail>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccountPersonalDetailsEmail.listFromJson(value);
       });
     }
     return map;
  }
}

