part of pointpos_api.api;

class MerchantAccountPersonalDetailsPhone {
  
  String phoneNumber = null;
  
  bool isVerified = null;
  MerchantAccountPersonalDetailsPhone();

  @override
  String toString() {
    return 'MerchantAccountPersonalDetailsPhone[phoneNumber=$phoneNumber, isVerified=$isVerified, ]';
  }

  MerchantAccountPersonalDetailsPhone.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    phoneNumber = json['phoneNumber'];
    isVerified = json['isVerified'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (phoneNumber != null)
      json['phoneNumber'] = phoneNumber;
    if (isVerified != null)
      json['isVerified'] = isVerified;
    return json;
  }

  static List<MerchantAccountPersonalDetailsPhone> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccountPersonalDetailsPhone>() : json.map((value) => MerchantAccountPersonalDetailsPhone.fromJson(value)).toList();
  }

  static Map<String, MerchantAccountPersonalDetailsPhone> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccountPersonalDetailsPhone>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccountPersonalDetailsPhone.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccountPersonalDetailsPhone-objects as value to a dart map
  static Map<String, List<MerchantAccountPersonalDetailsPhone>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccountPersonalDetailsPhone>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccountPersonalDetailsPhone.listFromJson(value);
       });
     }
     return map;
  }
}

