part of pointpos_api.api;

class NotFoundException {
  
  String code = null;
  
  String message = null;
  NotFoundException();

  @override
  String toString() {
    return 'NotFoundException[code=$code, message=$message, ]';
  }

  NotFoundException.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    if (message != null)
      json['message'] = message;
    return json;
  }

  static List<NotFoundException> listFromJson(List<dynamic> json) {
    return json == null ? List<NotFoundException>() : json.map((value) => NotFoundException.fromJson(value)).toList();
  }

  static Map<String, NotFoundException> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, NotFoundException>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = NotFoundException.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of NotFoundException-objects as value to a dart map
  static Map<String, List<NotFoundException>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<NotFoundException>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = NotFoundException.listFromJson(value);
       });
     }
     return map;
  }
}

