part of pointpos_api.api;

class OrderCash {
  
  num tendered = null;
  OrderCash();

  @override
  String toString() {
    return 'OrderCash[tendered=$tendered, ]';
  }

  OrderCash.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    tendered = json['tendered'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (tendered != null)
      json['tendered'] = tendered;
    return json;
  }

  static List<OrderCash> listFromJson(List<dynamic> json) {
    return json == null ? List<OrderCash>() : json.map((value) => OrderCash.fromJson(value)).toList();
  }

  static Map<String, OrderCash> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OrderCash>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OrderCash.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OrderCash-objects as value to a dart map
  static Map<String, List<OrderCash>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OrderCash>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OrderCash.listFromJson(value);
       });
     }
     return map;
  }
}

