part of pointpos_api.api;

class OrderDiscounts {
  
  String discountId = null;
  OrderDiscounts();

  @override
  String toString() {
    return 'OrderDiscounts[discountId=$discountId, ]';
  }

  OrderDiscounts.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    discountId = json['discountId'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (discountId != null)
      json['discountId'] = discountId;
    return json;
  }

  static List<OrderDiscounts> listFromJson(List<dynamic> json) {
    return json == null ? List<OrderDiscounts>() : json.map((value) => OrderDiscounts.fromJson(value)).toList();
  }

  static Map<String, OrderDiscounts> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OrderDiscounts>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OrderDiscounts.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OrderDiscounts-objects as value to a dart map
  static Map<String, List<OrderDiscounts>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OrderDiscounts>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OrderDiscounts.listFromJson(value);
       });
     }
     return map;
  }
}

