part of pointpos_api.api;

class Outlet {
  
  String id = null;
  
  String name = null;
  
  OutletReceiptSettings receiptSettings = null;
  Outlet();

  @override
  String toString() {
    return 'Outlet[id=$id, name=$name, receiptSettings=$receiptSettings, ]';
  }

  Outlet.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    receiptSettings = (json['receiptSettings'] == null) ?
      null :
      OutletReceiptSettings.fromJson(json['receiptSettings']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (receiptSettings != null)
      json['receiptSettings'] = receiptSettings;
    return json;
  }

  static List<Outlet> listFromJson(List<dynamic> json) {
    return json == null ? List<Outlet>() : json.map((value) => Outlet.fromJson(value)).toList();
  }

  static Map<String, Outlet> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Outlet>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Outlet.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Outlet-objects as value to a dart map
  static Map<String, List<Outlet>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Outlet>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Outlet.listFromJson(value);
       });
     }
     return map;
  }
}

