part of pointpos_api.api;

class OutletReceiptSettingsOutletInfo {
  
  String name = null;
  
  String address = null;
  
  String city = null;
  
  String state = null;
  
  String zip = null;
  
  String phoneNumber = null;
  
  String note = null;
  OutletReceiptSettingsOutletInfo();

  @override
  String toString() {
    return 'OutletReceiptSettingsOutletInfo[name=$name, address=$address, city=$city, state=$state, zip=$zip, phoneNumber=$phoneNumber, note=$note, ]';
  }

  OutletReceiptSettingsOutletInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    address = json['address'];
    city = json['city'];
    state = json['state'];
    zip = json['zip'];
    phoneNumber = json['phoneNumber'];
    note = json['note'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (address != null)
      json['address'] = address;
    if (city != null)
      json['city'] = city;
    if (state != null)
      json['state'] = state;
    if (zip != null)
      json['zip'] = zip;
    if (phoneNumber != null)
      json['phoneNumber'] = phoneNumber;
    if (note != null)
      json['note'] = note;
    return json;
  }

  static List<OutletReceiptSettingsOutletInfo> listFromJson(List<dynamic> json) {
    return json == null ? List<OutletReceiptSettingsOutletInfo>() : json.map((value) => OutletReceiptSettingsOutletInfo.fromJson(value)).toList();
  }

  static Map<String, OutletReceiptSettingsOutletInfo> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OutletReceiptSettingsOutletInfo>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OutletReceiptSettingsOutletInfo.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OutletReceiptSettingsOutletInfo-objects as value to a dart map
  static Map<String, List<OutletReceiptSettingsOutletInfo>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OutletReceiptSettingsOutletInfo>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OutletReceiptSettingsOutletInfo.listFromJson(value);
       });
     }
     return map;
  }
}

