part of pointpos_api.api;

class Promo {
  
  String id = null;
  
  String name = null;
  
  String promoType = null;
  //enum promoTypeEnum {  buyXgetX,  setMenu,  minimumPurchase,  };{
  
  List<String> assignedOutlets = [];
  
  PromoRequirement requirement = null;
  
  PromoReward reward = null;
  
  bool allowMultiple = null;
  
  PromoPromoPeriod promoPeriod = null;
  Promo();

  @override
  String toString() {
    return 'Promo[id=$id, name=$name, promoType=$promoType, assignedOutlets=$assignedOutlets, requirement=$requirement, reward=$reward, allowMultiple=$allowMultiple, promoPeriod=$promoPeriod, ]';
  }

  Promo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    promoType = json['promoType'];
    assignedOutlets = (json['assignedOutlets'] == null) ?
      null :
      (json['assignedOutlets'] as List).cast<String>();
    requirement = (json['requirement'] == null) ?
      null :
      PromoRequirement.fromJson(json['requirement']);
    reward = (json['reward'] == null) ?
      null :
      PromoReward.fromJson(json['reward']);
    allowMultiple = json['allowMultiple'];
    promoPeriod = (json['promoPeriod'] == null) ?
      null :
      PromoPromoPeriod.fromJson(json['promoPeriod']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (promoType != null)
      json['promoType'] = promoType;
    if (assignedOutlets != null)
      json['assignedOutlets'] = assignedOutlets;
    if (requirement != null)
      json['requirement'] = requirement;
    if (reward != null)
      json['reward'] = reward;
    if (allowMultiple != null)
      json['allowMultiple'] = allowMultiple;
    if (promoPeriod != null)
      json['promoPeriod'] = promoPeriod;
    return json;
  }

  static List<Promo> listFromJson(List<dynamic> json) {
    return json == null ? List<Promo>() : json.map((value) => Promo.fromJson(value)).toList();
  }

  static Map<String, Promo> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Promo>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Promo.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Promo-objects as value to a dart map
  static Map<String, List<Promo>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Promo>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Promo.listFromJson(value);
       });
     }
     return map;
  }
}

