part of pointpos_api.api;

class PromoPromoPeriod {
  
  PromoPromoPeriodDateRange dateRange = null;
  
  PromoPromoPeriodTimeRange timeRange = null;
  
  PromoPromoPeriodWeekDay weekDay = null;
  PromoPromoPeriod();

  @override
  String toString() {
    return 'PromoPromoPeriod[dateRange=$dateRange, timeRange=$timeRange, weekDay=$weekDay, ]';
  }

  PromoPromoPeriod.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    dateRange = (json['dateRange'] == null) ?
      null :
      PromoPromoPeriodDateRange.fromJson(json['dateRange']);
    timeRange = (json['timeRange'] == null) ?
      null :
      PromoPromoPeriodTimeRange.fromJson(json['timeRange']);
    weekDay = (json['weekDay'] == null) ?
      null :
      PromoPromoPeriodWeekDay.fromJson(json['weekDay']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (dateRange != null)
      json['dateRange'] = dateRange;
    if (timeRange != null)
      json['timeRange'] = timeRange;
    if (weekDay != null)
      json['weekDay'] = weekDay;
    return json;
  }

  static List<PromoPromoPeriod> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoPromoPeriod>() : json.map((value) => PromoPromoPeriod.fromJson(value)).toList();
  }

  static Map<String, PromoPromoPeriod> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoPromoPeriod>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoPromoPeriod.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoPromoPeriod-objects as value to a dart map
  static Map<String, List<PromoPromoPeriod>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoPromoPeriod>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoPromoPeriod.listFromJson(value);
       });
     }
     return map;
  }
}

