part of pointpos_api.api;

class PromoPromoPeriodDateRange {
  
  String startDate = null;
  
  String endDate = null;
  PromoPromoPeriodDateRange();

  @override
  String toString() {
    return 'PromoPromoPeriodDateRange[startDate=$startDate, endDate=$endDate, ]';
  }

  PromoPromoPeriodDateRange.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    startDate = json['startDate'];
    endDate = json['endDate'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (startDate != null)
      json['startDate'] = startDate;
    if (endDate != null)
      json['endDate'] = endDate;
    return json;
  }

  static List<PromoPromoPeriodDateRange> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoPromoPeriodDateRange>() : json.map((value) => PromoPromoPeriodDateRange.fromJson(value)).toList();
  }

  static Map<String, PromoPromoPeriodDateRange> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoPromoPeriodDateRange>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoPromoPeriodDateRange.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoPromoPeriodDateRange-objects as value to a dart map
  static Map<String, List<PromoPromoPeriodDateRange>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoPromoPeriodDateRange>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoPromoPeriodDateRange.listFromJson(value);
       });
     }
     return map;
  }
}

