part of pointpos_api.api;

class PromoRequirement {
  
  List<PromoRequirementEligibleItems> eligibleItems = [];
  
  List<PromoRequirementEligibleCategories> eligibleCategories = [];
  PromoRequirement();

  @override
  String toString() {
    return 'PromoRequirement[eligibleItems=$eligibleItems, eligibleCategories=$eligibleCategories, ]';
  }

  PromoRequirement.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    eligibleItems = (json['eligibleItems'] == null) ?
      null :
      PromoRequirementEligibleItems.listFromJson(json['eligibleItems']);
    eligibleCategories = (json['eligibleCategories'] == null) ?
      null :
      PromoRequirementEligibleCategories.listFromJson(json['eligibleCategories']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (eligibleItems != null)
      json['eligibleItems'] = eligibleItems;
    if (eligibleCategories != null)
      json['eligibleCategories'] = eligibleCategories;
    return json;
  }

  static List<PromoRequirement> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoRequirement>() : json.map((value) => PromoRequirement.fromJson(value)).toList();
  }

  static Map<String, PromoRequirement> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoRequirement>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoRequirement.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoRequirement-objects as value to a dart map
  static Map<String, List<PromoRequirement>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoRequirement>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoRequirement.listFromJson(value);
       });
     }
     return map;
  }
}

