part of pointpos_api.api;

class PromoRequirementEligibleCategories {
  
  num categoryId = null;
  
  num qty = null;
  PromoRequirementEligibleCategories();

  @override
  String toString() {
    return 'PromoRequirementEligibleCategories[categoryId=$categoryId, qty=$qty, ]';
  }

  PromoRequirementEligibleCategories.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    categoryId = json['categoryId'];
    qty = json['qty'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (categoryId != null)
      json['categoryId'] = categoryId;
    if (qty != null)
      json['qty'] = qty;
    return json;
  }

  static List<PromoRequirementEligibleCategories> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoRequirementEligibleCategories>() : json.map((value) => PromoRequirementEligibleCategories.fromJson(value)).toList();
  }

  static Map<String, PromoRequirementEligibleCategories> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoRequirementEligibleCategories>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoRequirementEligibleCategories.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoRequirementEligibleCategories-objects as value to a dart map
  static Map<String, List<PromoRequirementEligibleCategories>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoRequirementEligibleCategories>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoRequirementEligibleCategories.listFromJson(value);
       });
     }
     return map;
  }
}

