part of pointpos_api.api;

class PromoRequirementEligibleItems {
  
  String itemId = null;
  
  num qty = null;
  
  bool allVariants = null;
  
  List<num> variantIds = [];
  PromoRequirementEligibleItems();

  @override
  String toString() {
    return 'PromoRequirementEligibleItems[itemId=$itemId, qty=$qty, allVariants=$allVariants, variantIds=$variantIds, ]';
  }

  PromoRequirementEligibleItems.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    itemId = json['itemId'];
    qty = json['qty'];
    allVariants = json['allVariants'];
    variantIds = (json['variantIds'] == null) ?
      null :
      (json['variantIds'] as List).cast<num>();
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (itemId != null)
      json['itemId'] = itemId;
    if (qty != null)
      json['qty'] = qty;
    if (allVariants != null)
      json['allVariants'] = allVariants;
    if (variantIds != null)
      json['variantIds'] = variantIds;
    return json;
  }

  static List<PromoRequirementEligibleItems> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoRequirementEligibleItems>() : json.map((value) => PromoRequirementEligibleItems.fromJson(value)).toList();
  }

  static Map<String, PromoRequirementEligibleItems> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoRequirementEligibleItems>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoRequirementEligibleItems.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoRequirementEligibleItems-objects as value to a dart map
  static Map<String, List<PromoRequirementEligibleItems>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoRequirementEligibleItems>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoRequirementEligibleItems.listFromJson(value);
       });
     }
     return map;
  }
}

