part of pointpos_api.api;

class SalesType {
  
  String name = null;
  
  List<String> assignedGratuity = [];
  SalesType();

  @override
  String toString() {
    return 'SalesType[name=$name, assignedGratuity=$assignedGratuity, ]';
  }

  SalesType.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    assignedGratuity = (json['assignedGratuity'] == null) ?
      null :
      (json['assignedGratuity'] as List).cast<String>();
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (assignedGratuity != null)
      json['assignedGratuity'] = assignedGratuity;
    return json;
  }

  static List<SalesType> listFromJson(List<dynamic> json) {
    return json == null ? List<SalesType>() : json.map((value) => SalesType.fromJson(value)).toList();
  }

  static Map<String, SalesType> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, SalesType>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = SalesType.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of SalesType-objects as value to a dart map
  static Map<String, List<SalesType>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<SalesType>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = SalesType.listFromJson(value);
       });
     }
     return map;
  }
}

