part of pointpos_api.api;

class Supplier {
  
  String id = null;
  
  String name = null;
  
  num phoneNumber = null;
  
  String email = null;
  
  String address = null;
  
  String city = null;
  
  String state = null;
  
  String zip = null;
  Supplier();

  @override
  String toString() {
    return 'Supplier[id=$id, name=$name, phoneNumber=$phoneNumber, email=$email, address=$address, city=$city, state=$state, zip=$zip, ]';
  }

  Supplier.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    phoneNumber = json['phoneNumber'];
    email = json['email'];
    address = json['address'];
    city = json['city'];
    state = json['state'];
    zip = json['zip'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (phoneNumber != null)
      json['phoneNumber'] = phoneNumber;
    if (email != null)
      json['email'] = email;
    if (address != null)
      json['address'] = address;
    if (city != null)
      json['city'] = city;
    if (state != null)
      json['state'] = state;
    if (zip != null)
      json['zip'] = zip;
    return json;
  }

  static List<Supplier> listFromJson(List<dynamic> json) {
    return json == null ? List<Supplier>() : json.map((value) => Supplier.fromJson(value)).toList();
  }

  static Map<String, Supplier> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Supplier>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Supplier.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Supplier-objects as value to a dart map
  static Map<String, List<Supplier>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Supplier>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Supplier.listFromJson(value);
       });
     }
     return map;
  }
}

