part of pointpos_api.api;

class TableLocation {
  
  num row = null;
  
  num col = null;
  TableLocation();

  @override
  String toString() {
    return 'TableLocation[row=$row, col=$col, ]';
  }

  TableLocation.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    row = json['row'];
    col = json['col'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (row != null)
      json['row'] = row;
    if (col != null)
      json['col'] = col;
    return json;
  }

  static List<TableLocation> listFromJson(List<dynamic> json) {
    return json == null ? List<TableLocation>() : json.map((value) => TableLocation.fromJson(value)).toList();
  }

  static Map<String, TableLocation> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, TableLocation>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = TableLocation.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of TableLocation-objects as value to a dart map
  static Map<String, List<TableLocation>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<TableLocation>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = TableLocation.listFromJson(value);
       });
     }
     return map;
  }
}

