part of pointpos_api.api;

class ValidationException {
  
  String code = null;
  
  String message = null;
  ValidationException();

  @override
  String toString() {
    return 'ValidationException[code=$code, message=$message, ]';
  }

  ValidationException.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    if (message != null)
      json['message'] = message;
    return json;
  }

  static List<ValidationException> listFromJson(List<dynamic> json) {
    return json == null ? List<ValidationException>() : json.map((value) => ValidationException.fromJson(value)).toList();
  }

  static Map<String, ValidationException> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ValidationException>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ValidationException.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ValidationException-objects as value to a dart map
  static Map<String, List<ValidationException>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ValidationException>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ValidationException.listFromJson(value);
       });
     }
     return map;
  }
}

