part of pointpos_api.api;

class Customer {
  
  String id = null;
  
  String name = null;
  
  String email = null;
  
  String phone = null;
  
  String birthday = null;
  
  String gender = null;
  
  String address = null;
  
  String city = null;
  
  String state = null;
  
  String zipCode = null;
  Customer();

  @override
  String toString() {
    return 'Customer[id=$id, name=$name, email=$email, phone=$phone, birthday=$birthday, gender=$gender, address=$address, city=$city, state=$state, zipCode=$zipCode, ]';
  }

  Customer.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    email = json['email'];
    phone = json['phone'];
    birthday = json['birthday'];
    gender = json['gender'];
    address = json['address'];
    city = json['city'];
    state = json['state'];
    zipCode = json['zipCode'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (email != null)
      json['email'] = email;
    if (phone != null)
      json['phone'] = phone;
    if (birthday != null)
      json['birthday'] = birthday;
    if (gender != null)
      json['gender'] = gender;
    if (address != null)
      json['address'] = address;
    if (city != null)
      json['city'] = city;
    if (state != null)
      json['state'] = state;
    if (zipCode != null)
      json['zipCode'] = zipCode;
    return json;
  }

  static List<Customer> listFromJson(List<dynamic> json) {
    return json == null ? List<Customer>() : json.map((value) => Customer.fromJson(value)).toList();
  }

  static Map<String, Customer> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Customer>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Customer.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Customer-objects as value to a dart map
  static Map<String, List<Customer>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Customer>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Customer.listFromJson(value);
       });
     }
     return map;
  }
}

