part of pointpos_api.api;

class IngredientCostOfGoodsSold {
  
  bool trackCOGS = null;
  
  num averageCost = null;
  IngredientCostOfGoodsSold();

  @override
  String toString() {
    return 'IngredientCostOfGoodsSold[trackCOGS=$trackCOGS, averageCost=$averageCost, ]';
  }

  IngredientCostOfGoodsSold.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    trackCOGS = json['trackCOGS'];
    averageCost = json['averageCost'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (trackCOGS != null)
      json['trackCOGS'] = trackCOGS;
    if (averageCost != null)
      json['averageCost'] = averageCost;
    return json;
  }

  static List<IngredientCostOfGoodsSold> listFromJson(List<dynamic> json) {
    return json == null ? List<IngredientCostOfGoodsSold>() : json.map((value) => IngredientCostOfGoodsSold.fromJson(value)).toList();
  }

  static Map<String, IngredientCostOfGoodsSold> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, IngredientCostOfGoodsSold>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = IngredientCostOfGoodsSold.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of IngredientCostOfGoodsSold-objects as value to a dart map
  static Map<String, List<IngredientCostOfGoodsSold>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<IngredientCostOfGoodsSold>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = IngredientCostOfGoodsSold.listFromJson(value);
       });
     }
     return map;
  }
}

