part of pointpos_api.api;

class IngredientInventory {
  
  bool trackStock = null;
  
  num stock = null;
  
  bool alertStock = null;
  
  num alertAt = null;
  IngredientInventory();

  @override
  String toString() {
    return 'IngredientInventory[trackStock=$trackStock, stock=$stock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }

  IngredientInventory.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    trackStock = json['trackStock'];
    stock = json['stock'];
    alertStock = json['alertStock'];
    alertAt = json['alertAt'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (trackStock != null)
      json['trackStock'] = trackStock;
    if (stock != null)
      json['stock'] = stock;
    if (alertStock != null)
      json['alertStock'] = alertStock;
    if (alertAt != null)
      json['alertAt'] = alertAt;
    return json;
  }

  static List<IngredientInventory> listFromJson(List<dynamic> json) {
    return json == null ? List<IngredientInventory>() : json.map((value) => IngredientInventory.fromJson(value)).toList();
  }

  static Map<String, IngredientInventory> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, IngredientInventory>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = IngredientInventory.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of IngredientInventory-objects as value to a dart map
  static Map<String, List<IngredientInventory>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<IngredientInventory>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = IngredientInventory.listFromJson(value);
       });
     }
     return map;
  }
}

