part of pointpos_api.api;

class InternalServerErrorException {
  
  String code = null;
  
  String message = null;
  InternalServerErrorException();

  @override
  String toString() {
    return 'InternalServerErrorException[code=$code, message=$message, ]';
  }

  InternalServerErrorException.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    code = json['code'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (code != null)
      json['code'] = code;
    if (message != null)
      json['message'] = message;
    return json;
  }

  static List<InternalServerErrorException> listFromJson(List<dynamic> json) {
    return json == null ? List<InternalServerErrorException>() : json.map((value) => InternalServerErrorException.fromJson(value)).toList();
  }

  static Map<String, InternalServerErrorException> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, InternalServerErrorException>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = InternalServerErrorException.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of InternalServerErrorException-objects as value to a dart map
  static Map<String, List<InternalServerErrorException>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<InternalServerErrorException>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = InternalServerErrorException.listFromJson(value);
       });
     }
     return map;
  }
}

