part of pointpos_api.api;

class ItemCategory {
  
  num id = null;
  
  String name = null;
  ItemCategory();

  @override
  String toString() {
    return 'ItemCategory[id=$id, name=$name, ]';
  }

  ItemCategory.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    return json;
  }

  static List<ItemCategory> listFromJson(List<dynamic> json) {
    return json == null ? List<ItemCategory>() : json.map((value) => ItemCategory.fromJson(value)).toList();
  }

  static Map<String, ItemCategory> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ItemCategory>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ItemCategory.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ItemCategory-objects as value to a dart map
  static Map<String, List<ItemCategory>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ItemCategory>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ItemCategory.listFromJson(value);
       });
     }
     return map;
  }
}

