part of pointpos_api.api;

class ItemInventory {
  
  num variantId = null;
  
  bool trackStock = null;
  
  num stock = null;
  
  bool alertStock = null;
  
  num alertAt = null;
  ItemInventory();

  @override
  String toString() {
    return 'ItemInventory[variantId=$variantId, trackStock=$trackStock, stock=$stock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }

  ItemInventory.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    variantId = json['variantId'];
    trackStock = json['trackStock'];
    stock = json['stock'];
    alertStock = json['alertStock'];
    alertAt = json['alertAt'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (variantId != null)
      json['variantId'] = variantId;
    if (trackStock != null)
      json['trackStock'] = trackStock;
    if (stock != null)
      json['stock'] = stock;
    if (alertStock != null)
      json['alertStock'] = alertStock;
    if (alertAt != null)
      json['alertAt'] = alertAt;
    return json;
  }

  static List<ItemInventory> listFromJson(List<dynamic> json) {
    return json == null ? List<ItemInventory>() : json.map((value) => ItemInventory.fromJson(value)).toList();
  }

  static Map<String, ItemInventory> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ItemInventory>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ItemInventory.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ItemInventory-objects as value to a dart map
  static Map<String, List<ItemInventory>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ItemInventory>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ItemInventory.listFromJson(value);
       });
     }
     return map;
  }
}

