part of pointpos_api.api;

class ItemVariants {
  
  num variantId = null;
  
  String sku = null;
  
  num price = null;
  
  String name = null;
  
  bool trackStock = null;
  
  num stock = null;
  
  bool alertStock = null;
  
  num alertAt = null;
  ItemVariants();

  @override
  String toString() {
    return 'ItemVariants[variantId=$variantId, sku=$sku, price=$price, name=$name, trackStock=$trackStock, stock=$stock, alertStock=$alertStock, alertAt=$alertAt, ]';
  }

  ItemVariants.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    variantId = json['variantId'];
    sku = json['sku'];
    price = json['price'];
    name = json['name'];
    trackStock = json['trackStock'];
    stock = json['stock'];
    alertStock = json['alertStock'];
    alertAt = json['alertAt'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (variantId != null)
      json['variantId'] = variantId;
    if (sku != null)
      json['sku'] = sku;
    if (price != null)
      json['price'] = price;
    if (name != null)
      json['name'] = name;
    if (trackStock != null)
      json['trackStock'] = trackStock;
    if (stock != null)
      json['stock'] = stock;
    if (alertStock != null)
      json['alertStock'] = alertStock;
    if (alertAt != null)
      json['alertAt'] = alertAt;
    return json;
  }

  static List<ItemVariants> listFromJson(List<dynamic> json) {
    return json == null ? List<ItemVariants>() : json.map((value) => ItemVariants.fromJson(value)).toList();
  }

  static Map<String, ItemVariants> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ItemVariants>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ItemVariants.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ItemVariants-objects as value to a dart map
  static Map<String, List<ItemVariants>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ItemVariants>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ItemVariants.listFromJson(value);
       });
     }
     return map;
  }
}

