part of pointpos_api.api;

class LoyaltyProgram {
  
  String id = null;
  
  String name = null;
  
  LoyaltyProgramPointFromTotalSpent pointFromTotalSpent = null;
  
  LoyaltyProgramPointFromBuyItem pointFromBuyItem = null;
  
  num newMemberPoint = null;
  
  List<LoyaltyProgramRedeemRules> redeemRules = [];
  LoyaltyProgram();

  @override
  String toString() {
    return 'LoyaltyProgram[id=$id, name=$name, pointFromTotalSpent=$pointFromTotalSpent, pointFromBuyItem=$pointFromBuyItem, newMemberPoint=$newMemberPoint, redeemRules=$redeemRules, ]';
  }

  LoyaltyProgram.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    pointFromTotalSpent = (json['pointFromTotalSpent'] == null) ?
      null :
      LoyaltyProgramPointFromTotalSpent.fromJson(json['pointFromTotalSpent']);
    pointFromBuyItem = (json['pointFromBuyItem'] == null) ?
      null :
      LoyaltyProgramPointFromBuyItem.fromJson(json['pointFromBuyItem']);
    newMemberPoint = json['newMemberPoint'];
    redeemRules = (json['redeemRules'] == null) ?
      null :
      LoyaltyProgramRedeemRules.listFromJson(json['redeemRules']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (pointFromTotalSpent != null)
      json['pointFromTotalSpent'] = pointFromTotalSpent;
    if (pointFromBuyItem != null)
      json['pointFromBuyItem'] = pointFromBuyItem;
    if (newMemberPoint != null)
      json['newMemberPoint'] = newMemberPoint;
    if (redeemRules != null)
      json['redeemRules'] = redeemRules;
    return json;
  }

  static List<LoyaltyProgram> listFromJson(List<dynamic> json) {
    return json == null ? List<LoyaltyProgram>() : json.map((value) => LoyaltyProgram.fromJson(value)).toList();
  }

  static Map<String, LoyaltyProgram> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, LoyaltyProgram>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = LoyaltyProgram.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of LoyaltyProgram-objects as value to a dart map
  static Map<String, List<LoyaltyProgram>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<LoyaltyProgram>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = LoyaltyProgram.listFromJson(value);
       });
     }
     return map;
  }
}

