part of pointpos_api.api;

class LoyaltyProgramPointFromTotalSpent {
  
  num spend = null;
  
  num rewardPoint = null;
  LoyaltyProgramPointFromTotalSpent();

  @override
  String toString() {
    return 'LoyaltyProgramPointFromTotalSpent[spend=$spend, rewardPoint=$rewardPoint, ]';
  }

  LoyaltyProgramPointFromTotalSpent.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    spend = json['spend'];
    rewardPoint = json['rewardPoint'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (spend != null)
      json['spend'] = spend;
    if (rewardPoint != null)
      json['rewardPoint'] = rewardPoint;
    return json;
  }

  static List<LoyaltyProgramPointFromTotalSpent> listFromJson(List<dynamic> json) {
    return json == null ? List<LoyaltyProgramPointFromTotalSpent>() : json.map((value) => LoyaltyProgramPointFromTotalSpent.fromJson(value)).toList();
  }

  static Map<String, LoyaltyProgramPointFromTotalSpent> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, LoyaltyProgramPointFromTotalSpent>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = LoyaltyProgramPointFromTotalSpent.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of LoyaltyProgramPointFromTotalSpent-objects as value to a dart map
  static Map<String, List<LoyaltyProgramPointFromTotalSpent>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<LoyaltyProgramPointFromTotalSpent>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = LoyaltyProgramPointFromTotalSpent.listFromJson(value);
       });
     }
     return map;
  }
}

