part of pointpos_api.api;

class MerchantAccountIdentification {
  
  String name = null;
  
  String photoUrl = null;
  
  String idNumber = null;
  MerchantAccountIdentification();

  @override
  String toString() {
    return 'MerchantAccountIdentification[name=$name, photoUrl=$photoUrl, idNumber=$idNumber, ]';
  }

  MerchantAccountIdentification.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    photoUrl = json['photoUrl'];
    idNumber = json['idNumber'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (photoUrl != null)
      json['photoUrl'] = photoUrl;
    if (idNumber != null)
      json['idNumber'] = idNumber;
    return json;
  }

  static List<MerchantAccountIdentification> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccountIdentification>() : json.map((value) => MerchantAccountIdentification.fromJson(value)).toList();
  }

  static Map<String, MerchantAccountIdentification> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccountIdentification>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccountIdentification.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccountIdentification-objects as value to a dart map
  static Map<String, List<MerchantAccountIdentification>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccountIdentification>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccountIdentification.listFromJson(value);
       });
     }
     return map;
  }
}

