part of pointpos_api.api;

class MerchantAccountPublicProfile {
  
  String description = null;
  
  String phoneNumber = null;
  
  String emailAddress = null;
  
  String websiteUrl = null;
  
  String twitterUsername = null;
  
  String facebookUsername = null;
  
  String instagramUsername = null;
  MerchantAccountPublicProfile();

  @override
  String toString() {
    return 'MerchantAccountPublicProfile[description=$description, phoneNumber=$phoneNumber, emailAddress=$emailAddress, websiteUrl=$websiteUrl, twitterUsername=$twitterUsername, facebookUsername=$facebookUsername, instagramUsername=$instagramUsername, ]';
  }

  MerchantAccountPublicProfile.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    description = json['description'];
    phoneNumber = json['phoneNumber'];
    emailAddress = json['emailAddress'];
    websiteUrl = json['websiteUrl'];
    twitterUsername = json['twitterUsername'];
    facebookUsername = json['facebookUsername'];
    instagramUsername = json['instagramUsername'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (description != null)
      json['description'] = description;
    if (phoneNumber != null)
      json['phoneNumber'] = phoneNumber;
    if (emailAddress != null)
      json['emailAddress'] = emailAddress;
    if (websiteUrl != null)
      json['websiteUrl'] = websiteUrl;
    if (twitterUsername != null)
      json['twitterUsername'] = twitterUsername;
    if (facebookUsername != null)
      json['facebookUsername'] = facebookUsername;
    if (instagramUsername != null)
      json['instagramUsername'] = instagramUsername;
    return json;
  }

  static List<MerchantAccountPublicProfile> listFromJson(List<dynamic> json) {
    return json == null ? List<MerchantAccountPublicProfile>() : json.map((value) => MerchantAccountPublicProfile.fromJson(value)).toList();
  }

  static Map<String, MerchantAccountPublicProfile> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, MerchantAccountPublicProfile>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = MerchantAccountPublicProfile.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of MerchantAccountPublicProfile-objects as value to a dart map
  static Map<String, List<MerchantAccountPublicProfile>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<MerchantAccountPublicProfile>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = MerchantAccountPublicProfile.listFromJson(value);
       });
     }
     return map;
  }
}

