part of pointpos_api.api;

class ModifierOptions {
  
  String name = null;
  
  num price = null;
  ModifierOptions();

  @override
  String toString() {
    return 'ModifierOptions[name=$name, price=$price, ]';
  }

  ModifierOptions.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    price = json['price'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (price != null)
      json['price'] = price;
    return json;
  }

  static List<ModifierOptions> listFromJson(List<dynamic> json) {
    return json == null ? List<ModifierOptions>() : json.map((value) => ModifierOptions.fromJson(value)).toList();
  }

  static Map<String, ModifierOptions> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, ModifierOptions>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = ModifierOptions.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of ModifierOptions-objects as value to a dart map
  static Map<String, List<ModifierOptions>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<ModifierOptions>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = ModifierOptions.listFromJson(value);
       });
     }
     return map;
  }
}

