part of pointpos_api.api;

class OrderModifiers {
  
  String modifierId = null;
  
  List<ModifierOptions> optionIds = [];
  OrderModifiers();

  @override
  String toString() {
    return 'OrderModifiers[modifierId=$modifierId, optionIds=$optionIds, ]';
  }

  OrderModifiers.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    modifierId = json['modifierId'];
    optionIds = (json['optionIds'] == null) ?
      null :
      ModifierOptions.listFromJson(json['optionIds']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (modifierId != null)
      json['modifierId'] = modifierId;
    if (optionIds != null)
      json['optionIds'] = optionIds;
    return json;
  }

  static List<OrderModifiers> listFromJson(List<dynamic> json) {
    return json == null ? List<OrderModifiers>() : json.map((value) => OrderModifiers.fromJson(value)).toList();
  }

  static Map<String, OrderModifiers> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OrderModifiers>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OrderModifiers.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OrderModifiers-objects as value to a dart map
  static Map<String, List<OrderModifiers>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OrderModifiers>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OrderModifiers.listFromJson(value);
       });
     }
     return map;
  }
}

