part of pointpos_api.api;

class OrderPayments {
  
  String paymentType = null;
  
  OrderCash cash = null;
  
  String edc = null;
  OrderPayments();

  @override
  String toString() {
    return 'OrderPayments[paymentType=$paymentType, cash=$cash, edc=$edc, ]';
  }

  OrderPayments.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    paymentType = json['paymentType'];
    cash = (json['cash'] == null) ?
      null :
      OrderCash.fromJson(json['cash']);
    edc = json['edc'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (paymentType != null)
      json['paymentType'] = paymentType;
    if (cash != null)
      json['cash'] = cash;
    if (edc != null)
      json['edc'] = edc;
    return json;
  }

  static List<OrderPayments> listFromJson(List<dynamic> json) {
    return json == null ? List<OrderPayments>() : json.map((value) => OrderPayments.fromJson(value)).toList();
  }

  static Map<String, OrderPayments> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OrderPayments>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OrderPayments.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OrderPayments-objects as value to a dart map
  static Map<String, List<OrderPayments>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OrderPayments>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OrderPayments.listFromJson(value);
       });
     }
     return map;
  }
}

