part of pointpos_api.api;

class OrderSentReceipts {
  
  String emailAddress = null;
  OrderSentReceipts();

  @override
  String toString() {
    return 'OrderSentReceipts[emailAddress=$emailAddress, ]';
  }

  OrderSentReceipts.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    emailAddress = json['emailAddress'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (emailAddress != null)
      json['emailAddress'] = emailAddress;
    return json;
  }

  static List<OrderSentReceipts> listFromJson(List<dynamic> json) {
    return json == null ? List<OrderSentReceipts>() : json.map((value) => OrderSentReceipts.fromJson(value)).toList();
  }

  static Map<String, OrderSentReceipts> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OrderSentReceipts>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OrderSentReceipts.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OrderSentReceipts-objects as value to a dart map
  static Map<String, List<OrderSentReceipts>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OrderSentReceipts>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OrderSentReceipts.listFromJson(value);
       });
     }
     return map;
  }
}

