part of pointpos_api.api;

class OutletReceiptSettings {
  
  OutletReceiptSettingsOutletInfo outletInfo = null;
  OutletReceiptSettings();

  @override
  String toString() {
    return 'OutletReceiptSettings[outletInfo=$outletInfo, ]';
  }

  OutletReceiptSettings.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    outletInfo = (json['outletInfo'] == null) ?
      null :
      OutletReceiptSettingsOutletInfo.fromJson(json['outletInfo']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (outletInfo != null)
      json['outletInfo'] = outletInfo;
    return json;
  }

  static List<OutletReceiptSettings> listFromJson(List<dynamic> json) {
    return json == null ? List<OutletReceiptSettings>() : json.map((value) => OutletReceiptSettings.fromJson(value)).toList();
  }

  static Map<String, OutletReceiptSettings> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, OutletReceiptSettings>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = OutletReceiptSettings.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of OutletReceiptSettings-objects as value to a dart map
  static Map<String, List<OutletReceiptSettings>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<OutletReceiptSettings>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = OutletReceiptSettings.listFromJson(value);
       });
     }
     return map;
  }
}

