part of pointpos_api.api;

class PromoPromoPeriodTimeRange {
  
  String startTime = null;
  
  String endTime = null;
  PromoPromoPeriodTimeRange();

  @override
  String toString() {
    return 'PromoPromoPeriodTimeRange[startTime=$startTime, endTime=$endTime, ]';
  }

  PromoPromoPeriodTimeRange.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    startTime = json['startTime'];
    endTime = json['endTime'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (startTime != null)
      json['startTime'] = startTime;
    if (endTime != null)
      json['endTime'] = endTime;
    return json;
  }

  static List<PromoPromoPeriodTimeRange> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoPromoPeriodTimeRange>() : json.map((value) => PromoPromoPeriodTimeRange.fromJson(value)).toList();
  }

  static Map<String, PromoPromoPeriodTimeRange> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoPromoPeriodTimeRange>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoPromoPeriodTimeRange.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoPromoPeriodTimeRange-objects as value to a dart map
  static Map<String, List<PromoPromoPeriodTimeRange>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoPromoPeriodTimeRange>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoPromoPeriodTimeRange.listFromJson(value);
       });
     }
     return map;
  }
}

