part of pointpos_api.api;

class PromoPromoPeriodWeekDay {
  
  bool sun = null;
  
  bool mon = null;
  
  bool tue = null;
  
  bool wed = null;
  
  bool thu = null;
  
  bool fri = null;
  
  bool sat = null;
  PromoPromoPeriodWeekDay();

  @override
  String toString() {
    return 'PromoPromoPeriodWeekDay[sun=$sun, mon=$mon, tue=$tue, wed=$wed, thu=$thu, fri=$fri, sat=$sat, ]';
  }

  PromoPromoPeriodWeekDay.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    sun = json['sun'];
    mon = json['mon'];
    tue = json['tue'];
    wed = json['wed'];
    thu = json['thu'];
    fri = json['fri'];
    sat = json['sat'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (sun != null)
      json['sun'] = sun;
    if (mon != null)
      json['mon'] = mon;
    if (tue != null)
      json['tue'] = tue;
    if (wed != null)
      json['wed'] = wed;
    if (thu != null)
      json['thu'] = thu;
    if (fri != null)
      json['fri'] = fri;
    if (sat != null)
      json['sat'] = sat;
    return json;
  }

  static List<PromoPromoPeriodWeekDay> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoPromoPeriodWeekDay>() : json.map((value) => PromoPromoPeriodWeekDay.fromJson(value)).toList();
  }

  static Map<String, PromoPromoPeriodWeekDay> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoPromoPeriodWeekDay>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoPromoPeriodWeekDay.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoPromoPeriodWeekDay-objects as value to a dart map
  static Map<String, List<PromoPromoPeriodWeekDay>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoPromoPeriodWeekDay>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoPromoPeriodWeekDay.listFromJson(value);
       });
     }
     return map;
  }
}

