part of pointpos_api.api;

class PromoRewardDiscount {
  
  num amount = null;
  
  bool isPercentage = null;
  PromoRewardDiscount();

  @override
  String toString() {
    return 'PromoRewardDiscount[amount=$amount, isPercentage=$isPercentage, ]';
  }

  PromoRewardDiscount.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    amount = json['amount'];
    isPercentage = json['isPercentage'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (amount != null)
      json['amount'] = amount;
    if (isPercentage != null)
      json['isPercentage'] = isPercentage;
    return json;
  }

  static List<PromoRewardDiscount> listFromJson(List<dynamic> json) {
    return json == null ? List<PromoRewardDiscount>() : json.map((value) => PromoRewardDiscount.fromJson(value)).toList();
  }

  static Map<String, PromoRewardDiscount> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PromoRewardDiscount>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PromoRewardDiscount.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PromoRewardDiscount-objects as value to a dart map
  static Map<String, List<PromoRewardDiscount>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PromoRewardDiscount>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PromoRewardDiscount.listFromJson(value);
       });
     }
     return map;
  }
}

