part of pointpos_api.api;

class PurchaseOrderIngredients {
  
  String ingredientId = null;
  
  num orderQty = null;
  
  num unitCost = null;
  
  num total = null;
  PurchaseOrderIngredients();

  @override
  String toString() {
    return 'PurchaseOrderIngredients[ingredientId=$ingredientId, orderQty=$orderQty, unitCost=$unitCost, total=$total, ]';
  }

  PurchaseOrderIngredients.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    ingredientId = json['ingredientId'];
    orderQty = json['orderQty'];
    unitCost = json['unitCost'];
    total = json['total'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (ingredientId != null)
      json['ingredientId'] = ingredientId;
    if (orderQty != null)
      json['orderQty'] = orderQty;
    if (unitCost != null)
      json['unitCost'] = unitCost;
    if (total != null)
      json['total'] = total;
    return json;
  }

  static List<PurchaseOrderIngredients> listFromJson(List<dynamic> json) {
    return json == null ? List<PurchaseOrderIngredients>() : json.map((value) => PurchaseOrderIngredients.fromJson(value)).toList();
  }

  static Map<String, PurchaseOrderIngredients> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, PurchaseOrderIngredients>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = PurchaseOrderIngredients.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of PurchaseOrderIngredients-objects as value to a dart map
  static Map<String, List<PurchaseOrderIngredients>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<PurchaseOrderIngredients>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = PurchaseOrderIngredients.listFromJson(value);
       });
     }
     return map;
  }
}

