part of pointpos_api.api;

class RecipeIngredients {
  
  String ingredientId = null;
  
  num qty = null;
  RecipeIngredients();

  @override
  String toString() {
    return 'RecipeIngredients[ingredientId=$ingredientId, qty=$qty, ]';
  }

  RecipeIngredients.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    ingredientId = json['ingredientId'];
    qty = json['qty'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (ingredientId != null)
      json['ingredientId'] = ingredientId;
    if (qty != null)
      json['qty'] = qty;
    return json;
  }

  static List<RecipeIngredients> listFromJson(List<dynamic> json) {
    return json == null ? List<RecipeIngredients>() : json.map((value) => RecipeIngredients.fromJson(value)).toList();
  }

  static Map<String, RecipeIngredients> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, RecipeIngredients>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = RecipeIngredients.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of RecipeIngredients-objects as value to a dart map
  static Map<String, List<RecipeIngredients>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<RecipeIngredients>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = RecipeIngredients.listFromJson(value);
       });
     }
     return map;
  }
}

