part of pointpos_api.api;

class Signup {
  
  String name = null;
  
  String phoneNumber = null;
  
  String username = null;
  
  String email = null;
  
  String password = null;
  
  String referalCode = null;
  Signup();

  @override
  String toString() {
    return 'Signup[name=$name, phoneNumber=$phoneNumber, username=$username, email=$email, password=$password, referalCode=$referalCode, ]';
  }

  Signup.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    phoneNumber = json['phoneNumber'];
    username = json['username'];
    email = json['email'];
    password = json['password'];
    referalCode = json['referalCode'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (phoneNumber != null)
      json['phoneNumber'] = phoneNumber;
    if (username != null)
      json['username'] = username;
    if (email != null)
      json['email'] = email;
    if (password != null)
      json['password'] = password;
    if (referalCode != null)
      json['referalCode'] = referalCode;
    return json;
  }

  static List<Signup> listFromJson(List<dynamic> json) {
    return json == null ? List<Signup>() : json.map((value) => Signup.fromJson(value)).toList();
  }

  static Map<String, Signup> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Signup>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Signup.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Signup-objects as value to a dart map
  static Map<String, List<Signup>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Signup>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Signup.listFromJson(value);
       });
     }
     return map;
  }
}

