part of pointpos_api.api;

class Table {
  
  String id = null;
  
  String tableGroup = null;
  
  String name = null;
  
  num pax = null;
  
  String shape = null;
  
  TableLocation location = null;
  Table();

  @override
  String toString() {
    return 'Table[id=$id, tableGroup=$tableGroup, name=$name, pax=$pax, shape=$shape, location=$location, ]';
  }

  Table.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    tableGroup = json['tableGroup'];
    name = json['name'];
    pax = json['pax'];
    shape = json['shape'];
    location = (json['location'] == null) ?
      null :
      TableLocation.fromJson(json['location']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (tableGroup != null)
      json['tableGroup'] = tableGroup;
    if (name != null)
      json['name'] = name;
    if (pax != null)
      json['pax'] = pax;
    if (shape != null)
      json['shape'] = shape;
    if (location != null)
      json['location'] = location;
    return json;
  }

  static List<Table> listFromJson(List<dynamic> json) {
    return json == null ? List<Table>() : json.map((value) => Table.fromJson(value)).toList();
  }

  static Map<String, Table> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Table>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Table.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Table-objects as value to a dart map
  static Map<String, List<Table>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Table>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Table.listFromJson(value);
       });
     }
     return map;
  }
}

