part of pointpos_api.api;

class TableGroup {
  
  String id = null;
  
  String name = null;
  
  bool isActive = null;
  TableGroup();

  @override
  String toString() {
    return 'TableGroup[id=$id, name=$name, isActive=$isActive, ]';
  }

  TableGroup.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    isActive = json['isActive'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (isActive != null)
      json['isActive'] = isActive;
    return json;
  }

  static List<TableGroup> listFromJson(List<dynamic> json) {
    return json == null ? List<TableGroup>() : json.map((value) => TableGroup.fromJson(value)).toList();
  }

  static Map<String, TableGroup> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, TableGroup>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = TableGroup.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of TableGroup-objects as value to a dart map
  static Map<String, List<TableGroup>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<TableGroup>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = TableGroup.listFromJson(value);
       });
     }
     return map;
  }
}

