part of pointpos_api.api;

class Tax {
  
  String id = null;
  
  String name = null;
  
  num amount = null;
  
  bool isPercentage = null;
  Tax();

  @override
  String toString() {
    return 'Tax[id=$id, name=$name, amount=$amount, isPercentage=$isPercentage, ]';
  }

  Tax.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
    amount = json['amount'];
    isPercentage = json['isPercentage'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    if (amount != null)
      json['amount'] = amount;
    if (isPercentage != null)
      json['isPercentage'] = isPercentage;
    return json;
  }

  static List<Tax> listFromJson(List<dynamic> json) {
    return json == null ? List<Tax>() : json.map((value) => Tax.fromJson(value)).toList();
  }

  static Map<String, Tax> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Tax>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Tax.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Tax-objects as value to a dart map
  static Map<String, List<Tax>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Tax>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Tax.listFromJson(value);
       });
     }
     return map;
  }
}

