part of pointpos_api.api;

class Unit {
  
  int id = null;
  
  String name = null;
  Unit();

  @override
  String toString() {
    return 'Unit[id=$id, name=$name, ]';
  }

  Unit.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    name = json['name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (name != null)
      json['name'] = name;
    return json;
  }

  static List<Unit> listFromJson(List<dynamic> json) {
    return json == null ? List<Unit>() : json.map((value) => Unit.fromJson(value)).toList();
  }

  static Map<String, Unit> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Unit>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Unit.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Unit-objects as value to a dart map
  static Map<String, List<Unit>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Unit>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Unit.listFromJson(value);
       });
     }
     return map;
  }
}

